seo:
  title: What went down at the Q1'2020 GitLab Hackathon
  description: >-
    A recap of GitLab community's accomplishments during another record-setting
    Hackathon on February 12-13.
  ogTitle: What went down at the Q1'2020 GitLab Hackathon
  ogDescription: >-
    A recap of GitLab community's accomplishments during another record-setting
    Hackathon on February 12-13.
  noIndex: false
  ogImage: images/blog/hero-images/2018-09-13-gitlab-hackathon-cover.jpg
  ogUrl: https://about.gitlab.com/blog/q1-hackathon-recap
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/q1-hackathon-recap
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "What went down at the Q1'2020 GitLab Hackathon",
            "author": [{"@type":"Person","name":"Ray Paik"}],
            "datePublished": "2020-03-25",
          }

content:
  title: What went down at the Q1'2020 GitLab Hackathon
  description: >-
    A recap of GitLab community's accomplishments during another record-setting
    Hackathon on February 12-13.
  authors:
    - Ray Paik
  heroImage: images/blog/hero-images/2018-09-13-gitlab-hackathon-cover.jpg
  date: '2020-03-25'
  body: >


    {::options parse_block_html="true" /}




    The GitLab community gathered on February 12-13 for the Q1 Hackathon and
    this is almost becoming a cliche, but the GitLab Community again set an
    impressive Hackathon record with [almost 150
    MRs](https://gitlab.com/gitlab-com/marketing/community-relations/contributor-program/hackathon/-/issues/31)!


    ## What did we accomplish?


    I'm not sure how many readers remember the first Hackathon in Q3'2018, but I
    remember being excited about [22
    MRs](https://gitlab.com/gitlab-com/marketing/community-relations/contributor-program/hackathon/-/issues/4)
    submitted during the inaugural event. If someone told me we would see 147
    MRs in a single Hackathon someday, I don't think I would have believed it.
    Again, I have to give big kudos to wider community members and reviewers who
    helped make our Hackathon such a fun and exciting event. 


    I would like to highlight a few things from the Hackathon. First, just like
    in Q4 we had frontend Epics that resulted in many community contributions.
    One was [Replacing Underscore with
    Lodash](https://gitlab.com/groups/gitlab-org/-/epics/2412) created by [Scott
    Stern](https://gitlab.com/sstern) and the other was to [Migrate .fa-spinner
    to .spinner](https://gitlab.com/groups/gitlab-org/-/epics/956) that was
    created by [Brandon Labuschagne](https://gitlab.com/blabuschagne) before the
    Hackathon. Amazingly, both Scott and Brandon were able to review and provide
    feedback on over 50 MRs related to these Epics that turned out to be
    goldmines.   


    Also during this Hackathon, there were MRs across more than 20 GitLab
    projects demonstrating the breadth of contributions (to go along with the
    volume). Not suprisingly, many people usually think of the [`gitlab`
    project](https://gitlab.com/gitlab-org/gitlab), but wider community members
    contributed to projects like
    [Charts](https://gitlab.com/gitlab-org/charts/gitlab),
    [Gitaly](https://gitlab.com/gitlab-org/gitaly/), [GitLab
    SVGs](https://gitlab.com/gitlab-org/gitlab-svgs),
    [Gitter](https://gitlab.com/gitlab-org/gitter),
    [Omnibus](https://gitlab.com/gitlab-org/omnibus-gitlab/), [Pajama Design
    System](https://gitlab.com/gitlab-org/gitlab-services/design.gitlab.com/),
    [Runner](https://gitlab.com/gitlab-org/gitlab-runner/),
    [Secure](https://gitlab.com/gitlab-org/security-products),
    [www-gitlab-com](https://gitlab.com/gitlab-com/www-gitlab-com), and others
    during the event.   


    Finally, the [GitLab Meetup Group in
    Hamburg](https://www.meetup.com/GitLab-Meetup-Hamburg/) had their
    [meetup](https://www.meetup.com/GitLab-Meetup-Hamburg/events/268054258/) to
    coincide with the Hackathon, so [David
    Planella](https://gitlab.com/dplanella), [John
    Coghlan](https://gitlab.com/johncoghlan), and [I](https://gitlab.com/rpaik)
    were able to join the Hamburg meetup remotely to talk about the Hackathon
    and how to contribute to GitLab. We had a great time participating in the
    meetup and I want to thank [Philipp Westphalen](https://gitlab.com/Phil404)
    for not only inviting us, but also flawlessly working the conferencing tool
    and the audio/video equipments. If there are other GitLab meetup organizers
    who are interested in organizing your meetup around a Hackathon, please let
    me know! 


    ![Hamburg
    meetup](https://about.gitlab.com/images/blogimages/hackathon-blogpost/Hamburg-meetup.png){:
    .shadow.medium.center}


    ## Hackathon prizes


    For this Hackathon, we have a packable duffle for everyone who had their MRs
    merged by February 25th and [34
    people](https://gitlab.com/gitlab-com/marketing/community-relations/contributor-program/hackathon/-/issues/33)
    will be receiving the GitLab branded duffle bag. This sets another record
    for the number of people with MRs merged during the Hackathon. As we did in
    the past several quarters, we have a prize for second place and [Raihan
    Kabir](https://gitlab.com/rk4bir) is the winner with 7 MRs merged. For the
    grand prize, I want to award two contributors [Takuya
    Noguchi](https://gitlab.com/tnir) with 13 MRs merged and [Rajendra
    Kadam](https://gitlab.com/raju249) with 17 MRs merged. Thanks and
    congratulatations to everyone!


    ![Hackathon
    prizes](https://about.gitlab.com/images/blogimages/hackathon-blogpost/q12020-hackathon.prizes.png){:
    .shadow.medium.center}


    ## When is the next Hackathon?


    I'm happy to announce that the Q2 Hackathon will take place on May 13-14,
    2020. It is already advertised on [the Hackathon
    page](/community/hackathon/) with a new countdown clock. Please look out for
    more announcements as we get closer to the next Hackathon date. Also, if you
    have any suggestions for the Q2 Hackathon please feel free to suggest them
    on [the GitLab Contributors
    Gitter](https://gitter.im/gitlabhq/contributors).


    ## How do I get started with contributing?


    A good place to start is the [Contributing to GitLab
    page](/community/contribute/), where you can learn how you can

    contribute to GitLab code, documentation, translation, and UX design.


    If you have any questions, you are always welcome to reach me at
    `rpaik@gitlab.com`.


    ["GitLab application screengrab"](https://unsplash.com/photos/ZV_64LdGoao)
    by [Pankaj Patel](https://unsplash.com/@pankajpatel) on Unsplash

    {: .note}
  category: Unfiltered
  tags:
    - community
    - collaboration
    - open source
config:
  slug: q1-hackathon-recap
  featured: false
  template: BlogPost
